Sora Python SDK

Copyright 2023-2024, tnoho (Original Author)
Copyright 2023-2024, Wandbox LLC (Original Author)
Copyright 2023-2024, Shiguredo Inc.

# Sora C++ SDK

https://github.com/shiguredo/sora-cpp-sdk

```
Copyright 2021-2024, Wandbox LLC (Original Author)
Copyright 2021-2024, Shiguredo Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```

```

                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      "License" shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      "Licensor" shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      "Legal Entity" shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      "control" means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      "You" (or "Your") shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      "Source" form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      "Object" form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation, and conversions to other media types.

      "Work" shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      "Derivative Works" shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      "Contribution" shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, "submitted"
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as "Not a Contribution."

      "Contributor" shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross-claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a "NOTICE" text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third-party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS
```

# WebRTC

```
Copyright (c) 2011, The WebRTC project authors. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

  * Neither the name of Google nor the names of its contributors may
    be used to endorse or promote products derived from this software
    without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
```

# Boost C++ Libraries

https://www.boost.org/LICENSE_1_0.txt

```
Boost Software License - Version 1.0 - August 17th, 2003

Permission is hereby granted, free of charge, to any person or organization
obtaining a copy of the software and accompanying documentation covered by
this license (the "Software") to use, reproduce, display, distribute,
execute, and transmit the Software, and to prepare derivative works of the
Software, and to permit third-parties to whom the Software is furnished to
do so, all subject to the following:

The copyright notices in the Software and this entire statement, including
the above license grant, this restriction and the following disclaimer,
must be included in all copies of the Software, in whole or in part, and
all derivative works of the Software, unless such copies or derivative
works are solely in the form of machine-executable object code generated by
a source language processor.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.
```

# cuviddec.h / nvEncodeAPI.h / nvcuvid.h

```
This copyright notice applies to this header file only:

Copyright (c) 2010-2019 NVIDIA Corporation

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without
restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the software, and to permit persons to whom the
software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
```

## NvDecoder / NvEncoder

https://developer.nvidia.com/nvidia-video-codec-sdk-license-agreement

```
NVIDIA VIDEO CODEC SDK LICENSE AGREEMENT (“Agreement”)

BY DOWNLOADING, INSTALLING OR USING THE SOFTWARE AND OTHER AVAILABLE MATERIALS,
YOU (“LICENSEE”) AGREE TO BE BOUND BY THE FOLLOWING TERMS AND CONDITIONS OF
THIS AGREEMENT.  If Licensee does not agree to the terms and condition of this
Agreement, THEN do not downLOAD, INSTALL OR USE the SOFTWARE AND MATERIALS.

The materials available for download to Licensees may include software in both
sample source code ("Source Code") and object code ("Object Code") versions
(collectively, the “Software”), documentation and other materials
(collectively, these code and materials referred to herein as "Licensed
Materials").  Except as expressly indicated herein, all terms and conditions of
this Agreement apply to all of the Licensed Materials.

Except as expressly set forth herein, NVIDIA owns all of the Licensed Materials
and makes them available to Licensee only under the terms and conditions set
forth in this Agreement.

License:  Subject to Licensee’s compliance with the terms of this Agreement,
NVIDIA grants to Licensee a nonexclusive, non-transferable, worldwide,
royalty-free, fully paid-up license and right to install, use, reproduce,
display, perform, modify the Source Code of the Software, and to prepare and
have prepared derivative works thereof, and distribute the Software and
derivative works thereof (in object code only) as integrated in Licensee
software products solely for use with supported NVIDIA GPU hardware products as
specified in the accompanying release notes.  The following terms apply to the
Licensed Material:

Derivative Works:  Subject to the License Grant Back below, Licensee shall own
any Derivative Works it creates directly to the Source Code that integrates
with Licensee’s software product ("Modification(s)") subject to NVIDIA’s
ownership of the underlying Source Code and all intellectual property rights
therein.

Distribution: Licensee may distribute the Software (in object code form)
integrated with Licensee software products only to Licensee’s authorized
distributors, resellers, and others in Licensee’s distribution chain for
Licensee product and end users and grant to such third party a sublicense to
use the Software under a written, legally enforceable agreement that has the
effect of protecting the Software and the rights of NVIDIA under terms no less
restrictive than this Agreement.

Limitations: Unless otherwise authorized in the Agreement, Licensee shall not
otherwise assign, sublicense, lease, or in any other way transfer or disclose
Software to any third party. Licensee agrees not to disassemble, decompile or
reverse engineer the Object Code or use or modify any of the Licensed Materials
to enable screen scraping, data scraping, or any other activity with the
purpose of capturing copyright protected content in violation of a third party
party’s intellectual property or other proprietary rights.  Licensee shall
indemnify NVIDIA for any and all claims, liabilities, damages, expenses and
costs arising from Licensee’s breach of the foregoing limitations.

License Grant Back:Licensee hereby grants to NVIDIA and its affiliates a
worldwide, non-exclusive, irrevocable, perpetual, sublicenseable (through
multiple tiers of sublicensees), royalty-free and fully paid-up right and
license to the Modification(s) created by or on behalf of Licensee so that
NVIDIA may copy, modify, create derivatives works thereof, to use, have used,
import, make, have made, sell, offer to sell, sublicense (through multiple
tiers of sublicensees), distribute (through multiple tiers of distributors)
such derivative work(s) on a stand-alone basis or as incorporated into the
Licensed Materials or other related technologies.  For the sake of clarity,
NVIDIA is not prohibited or otherwise restricted from independently developing
new features or functionality with respect to the Licensed Materials

No Other License:No rights or licenses with respect to any proprietary
information or patent, copyright, trade secret or other intellectual property
right owned or controlled by NVIDIA are granted by NVIDIA to Licensee under
this Agreement, expressly or by implication, except as expressly provided in
this Agreement.

Confidentiality: If applicable, any exchange of Confidential Information (as
defined in the NDA) shall be made pursuant to the terms and conditions of a
separately signed Non-Disclosure Agreement (“NDA”) by and between NVIDIA and
You. For the sake of clarity, You agree that (a) the Software (in source code
form); and (b) Your use of the Software is considered Confidential Information
of NVIDIA.

If You wish to have a third party consultant or subcontractor ("Contractor")
perform work on Your behalf which involves access to or use of Software, You
shall obtain a written confidentiality agreement from the Contractor which
contains terms and obligations with respect to access to or use of Software no
less restrictive than those set forth in this Agreement and excluding any
distribution or sublicense rights, and use for any other purpose than permitted
in this Agreement. Otherwise, You shall not disclose the terms or existence of
this Agreement or use NVIDIA's name in any publications, advertisements, or
other announcements without NVIDIA's prior written consent.  Unless otherwise
provided in this Agreement, You do not have any rights to use any NVIDIA
trademarks or logos.

Intellectual Property Ownership: Except as expressly licensed to Licensee under
this Agreement, NVIDIA reserves all right, title and interest, including but
not limited to all intellectual property rights, in and to the Licensed
Materials and any derivative work(s) made thereto. The algorithms, structure,
organization and Source Code are the valuable trade secrets and confidential
information of NVIDIA.

Licensee acknowledges and agrees that it is Licensee’s sole responsibility to
obtain any, additional, third party licenses required to make, have made, use,
have used, sell, import, and offer for sale Licensee products that include or
incorporate any third party technology such as operating systems, audio and/or
video encoders and decoders or any technology from, including but not limited
to, Microsoft, Thomson, Fraunhofer IIS, Sisvel S.p.A., MPEG-LA, and Coding
Technologies (“Third Party Technology”).  Licensee acknowledges and agrees that
NVIDIA has not granted to Licensee under this Agreement any necessary patent
rights with respect to the Third Party Technology.  As such, Licensee’s use of
the Third Party Technology may be subject to further restrictions and terms and
conditions.  Licensee acknowledges and agrees that Licensee is solely and
exclusively responsible for obtaining any and all authorizations and licenses
required for the use, distribution and/or incorporation of the Third Party
Technology.

Licensee shall, at its own expense fully indemnify, hold harmless, defend
and/or settle any claim, suit or proceeding that is asserted by a third party
against NVIDIA and its officers, employees or agents, to the extent such claim,
suit or proceeding arising from or related to Licensee’s failure to fully
satisfy and/or comply with the third party licensing obligations related to the
Third Party Technology (a “Claim”).  In the event of a Claim, Licensee agrees
to: (a) pay all damages or settlement amounts, which shall not be finalized
without the prior written consent of NVIDIA, (including other reasonable costs
incurred by NVIDIA, including reasonable attorneys fees, in connection with
enforcing this paragraph); (b) reimburse NVIDIA for any licensing fees and/or
penalties incurred by NVIDIA in connection with a Claim; and (c) immediately
procure/satisfy the third party licensing obligations before using the Software
pursuant to this Agreement.

Term of Agreement:  This Agreement shall become effective from the date of the
initial download and shall remain in effect for one year thereafter, unless
terminated as provided below.  Unless either party notifies the other party of
its intent to terminate this Agreement at least thirty (30) days prior to the
end of the Initial Term or the applicable renewal period, this Agreement will
be automatically renewed for one (1) year renewal periods thereafter, unless
terminated in accordance with the “Termination” provision of this Agreement.

NVIDIA may terminate this Agreement (and with it, all of Licensee’s right to
the Licensed Materials) if (i) Licensee fails to comply with any of the terms
and conditions of this Agreement and if the breach is not cured within thirty
(30) days after notice thereof. Upon expiration or termination of this
Agreement pursuant to this paragraph, Licensee shall immediately cease using
the Licensed Materials and return or destroy or copies thereof in its
possession.

Defensive Suspension:If Licensee commences or participates in any legal
proceeding against NVIDIA, then NVIDIA may, in its sole discretion, suspend or
terminate all license grants and any other rights provided under this
Agreement.

No Support:  NVIDIA has no obligation to support or to continue providing or
updating any of the Licensed Materials.

No Warranty:  THE LICENSED MATERIALS PROVIDED BY NVIDIA TO LICENSEE HEREUNDER
ARE PROVIDED "AS IS."  NVIDIA DISCLAIMS ALL WARRANTIES, EXPRESS, IMPLIED OR
STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF TITLE,
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

Limitation of Liability: NVIDIA SHALL NOT BE LIABLE TO LICENSEE, LICENSEE’S
CUSTOMERS, OR ANY OTHER PERSON OR ENTITY CLAIMING THROUGH OR UNDER LICENSEE FOR
ANY LOSS OF PROFITS, INCOME, SAVINGS, OR ANY OTHER CONSEQUENTIAL, INCIDENTAL,
SPECIAL, PUNITIVE, DIRECT OR INDIRECT DAMAGES (WHETHER IN AN ACTION IN
CONTRACT, TORT OR BASED ON A WARRANTY), EVEN IF NVIDIA HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.  THESE LIMITATIONS SHALL APPLY NOTWITHSTANDING ANY
FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.  IN NO EVENT SHALL
NVIDIA’S AGGREGATE LIABILITY TO LICENSEE OR ANY OTHER PERSON OR ENTITY CLAIMING
THROUGH OR UNDER LICENSEE EXCEED THE AMOUNT OF MONEY ACTUALLY PAID BY LICENSEE
TO NVIDIA FOR THE LICENSED MATERIALS.

Applicable Law and Jurisdiction: This Agreement shall be deemed to have been
made in, and shall be construed pursuant to, the laws of the State of Delaware.
The state and/or federal courts residing in Santa Clara County, California
shall have exclusive jurisdiction over any dispute or claim arising out of this
Agreement. The United Nations Convention on Contracts for the International
Sale of Goods is specifically disclaimed.

Feedback:Licensee may, but is not obligated to, provide to NVIDIA any
suggestions, comments and feedback regarding the Licensed Materials that are
delivered by NVIDIA to Licensee under this Agreement (collectively, “Licensee
Feedback”).  NVIDIA may use and include any Licensee Feedback that Licensee
voluntarily provides to improve the Licensed Materials or other related NVIDIA
technologies.  Accordingly, if Licensee provides Licensee Feedback, Licensee
grants NVIDIA and its licensees a perpetual, irrevocable, worldwide,
royalty-free, fully paid-up license grant to freely use, have used, sell,
modify, reproduce, transmit, license, sublicense (through multiple tiers of
sublicensees), distribute (through multiple tiers of distributors), and
otherwise commercialize the Licensee Feedback in the Licensed Materials or
other related technologies.

RESTRICTED RIGHTS NOTICE: Licensed Materials has been developed entirely at
private expense and is commercial computer software provided with RESTRICTED
RIGHTS. Use, duplication or disclosure by the U.S. Government or a U.S.
Government subcontractor is subject to the restrictions set forth in the
license agreement under which Licensed Materials was obtained pursuant to DFARS
227.7202-3(a) or as set forth in subparagraphs (c)(1) and (2) of the Commercial
Computer Software - Restricted Rights clause at FAR 52.227-19, as applicable.
Contractor/manufacturer is NVIDIA, 2701 San Tomas Expressway, Santa Clara, CA
95050.

Miscellaneous: If any provision of this Agreement is inconsistent with, or
cannot be fully enforced under, the law, such provision will be construed as
limited to the extent necessary to be consistent with and fully enforceable
under the law. This Agreement is the final, complete and exclusive agreement
between the parties relating to the subject matter hereof, and supersedes all
prior or contemporaneous understandings and agreements relating to such subject
matter, whether oral or written. This Agreement is solely between NVIDIA and
Licensee.  There are no third party beneficiaries, express or implied, to this
Agreement. This Agreement may only be modified in writing signed by an
authorized officer of NVIDIA.  Licensee agrees that it will not ship, transfer
or export the Licensed Materials into any country, or use the Licensed
Materials in any manner, prohibited by the United States Bureau of Industry and
Security or any export laws, restrictions or regulations. This Agreement, and
Licensee’s rights and obligations herein, may not be assigned, subcontracted,
delegated, or otherwise transferred by Licensee without NVIDIA’s prior written
consent, and any attempted assignment, subcontract, delegation, or transfer in
violation of the foregoing will be null and void.   The terms of this Agreement
shall be binding upon assignees.
```

## L4T Multimedia API

```
###############################################################################
#
# Copyright (c) 2016-2017, NVIDIA CORPORATION. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#  * Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#  * Neither the name of NVIDIA CORPORATION nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
###############################################################################
```

## Intel VPL

https://github.com/intel/libvpl

```
MIT License

Copyright (c) 2020 Intel Corporation

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```
